VLCKit

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Protected Attributes | List of all members
VLCPlaylistDataSource Class Reference

`#import <VLCPlaylistDataSource.h>`

Inheritance diagram for VLCPlaylistDataSource:

## Instance Methods
(id) | - initWithPlaylist:
(id) | - initWithPlaylist:videoView:
(VLCPlaylist *) | - playlist
(VLCVideoView *) | - videoView
(id) | - outlineView:child:ofItem:
(BOOL) | - outlineView:isItemExpandable:
(int) | - outlineView:numberOfChildrenOfItem:
(id) | - outlineView:objectValueForTableColumn:byItem:
(BOOL) | - outlineView:acceptDrop:item:childIndex:
(NSDragOperation) | - outlineView:validateDrop:proposedItem:proposedChildIndex:

## Protected Attributes
VLCPlaylist * | playlist
VLCVideoView * | videoView
NSOutlineView * | outlineView

## Detailed Description

This class can be used as a data source for an NSOutlineView it will display the playlist content. If provided the videoView will automatically be associated to the given playlist, and actions in the outlineView will trigger the videoView, visual feedback of the current item in the videoview will be displayed in the outlineview

The documentation for this class was generated from the following file:

- Headers/Public/VLCPlaylistDataSource.h